Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## orarend
Class Terem

    java.lang.Object
      orarend.TeremId
          orarend.Terem

All Implemented Interfaces:
  java.io.Serializable

    public class Terem

extends TeremId

Termeket reprezentáló osztály

Author:
  Csipkés László
See Also:
  Serialized Form

Field Summary
`protected TeremId` | `id`
`protected Osztaly` | `osztaly`
`protected Szak` | `szakkod`

Fields inherited from class orarend.TeremId
`teremnev`

Constructor Summary
`Terem()` Üres konstruktor
`Terem(java.lang.String ternev, Szak szkod)` Termet létrehozó konstruktor

Method Summary
`boolean` | `equals(java.lang.Object o)`
`TeremId` | `getId()`
`Osztaly` | `getOsztaly()`
`Szak` | `getSzakkod()`
`void` | `setId(TeremId _id)`
`void` | `setOsztaly(Osztaly o)`
`void` | `setSzakkod(Szak sza)`
`java.lang.String` | `toString()`

Methods inherited from class orarend.TeremId
`getTeremnev, setTeremnev`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    protected TeremId id

### osztaly

    protected Osztaly osztaly

### szakkod

    protected Szak szakkod

Constructor Detail

### Terem

    public Terem()

  Üres konstruktor

### Terem

    public Terem(java.lang.String ternev,
                 Szak szkod)

  Termet létrehozó konstruktor

  Parameters:
    `ternev` - terem neve
    `szkod` - terem szakja

Method Detail

### getId

    public TeremId getId()

### setId

    public void setId(TeremId _id)

### getSzakkod

    public Szak getSzakkod()

  Overrides:
    `getSzakkod` in class `TeremId`

### setSzakkod

    public void setSzakkod(Szak sza)

  Overrides:
    `setSzakkod` in class `TeremId`

### getOsztaly

    public Osztaly getOsztaly()

### setOsztaly

    public void setOsztaly(Osztaly o)

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `TeremId`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `TeremId`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD